<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--
@author juan.agudelo
        es igual al confirmation dialog de Fabio pero no recibe el método a ejecutar en el valor de desición si,
sino que ejecuta un método explicito por problemas al pasar en el acceso en ejecución

-->
<!-- FAVOR USAR ESTE COMPONENTE FUERA DE UN TAG <form/> PARA EVITAR PROBLEMAS DE FORMULARIOS ANIDADOS

TODO::fabio.navarrete::documentar los atributos::25-11-2011::pedro.garcia

-->
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:composite="http://java.sun.com/jsf/composite">

    <composite:interface>

        <composite:attribute name="yesLabel" default="Sí" />
        <composite:attribute name="noLabel" default="No" />
        <composite:attribute name="headerLabel" default="Confirmación" />
        <composite:attribute name="managedBean" required="true" />
        <composite:attribute name="confirmMessage" required="true" />
        <composite:attribute name="image" default="/images/info-icon.jpg" />
        <composite:attribute name="confirmUpdate" />
        <composite:attribute name="confirmDialogWV" />
        <composite:attribute name="ajaxBehavior" default="true" />

    </composite:interface>

    <composite:implementation>
        <p:dialog modal="true" appendToBody="true" width="400"
                  showEffect="explode" hideEffect="explode"
                  header="#{cc.attrs.headerLabel}" resizable="false"
                  widgetVar="#{cc.attrs.confirmDialogWV}">

            <h:form>
                <h:panelGrid columns="1">
                    <p:outputPanel style="text-align: left" layout="block">
                        <p:graphicImage value="#{cc.attrs.image}" width="36" height="36" />
                        <h:outputText value="#{cc.attrs.confirmMessage}" />
                    </p:outputPanel>

                    <p:spacer height="13" width="0" />
                    <p:outputPanel style="text-align: left" layout="block">

                        <p:spacer height="0" width="40" />
                        <p:commandButton value="#{cc.attrs.yesLabel}"
                                         update="#{cc.attrs.confirmUpdate}"
                                         action="#{cc.attrs.managedBean.confirmAction}"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();#{cc.attrs.confirmDialogWV}.hide();"
                                         ajax="#{cc.attrs.ajaxBehavior}" icon="ui-icon-check" />
                        <p:spacer width="5" />
                        <p:commandButton value="#{cc.attrs.noLabel}"
                                         onclick="#{cc.attrs.confirmDialogWV}.hide()" type="button"
                                         onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                         icon="ui-icon-close" />
                    </p:outputPanel>
                </h:panelGrid>
            </h:form>
        </p:dialog>
    </composite:implementation>

</html>